classification
Title: ntpath.realpath() fails on sys.executable
Type: Stage: resolved
Components: Windows Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: lukasz.langa, miss-islington, paul.moore, steve.dower, tim.golden, zach.ware
Priority: release blocker Keywords: 3.8regression, patch

Created on 2019-10-02 22:37 by steve.dower, last changed 2019-10-14 21:45 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 16551 merged steve.dower, 2019-10-02 22:41
PR 16563 merged miss-islington, 2019-10-03 15:31
Messages (5)
msg353782 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-02 22:37
The change to error handling did not include ERROR_CANT_ACCESS_FILE, but this error occurs in the Store package install.

After suppressing this error, it then occurs again when stripping the prefix - we should just check for the same error here to determine whether it's safe to remove the prefix of a file we can't access.
msg353855 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-03 15:31
New changeset a0e3d27e4e3cb5b67e325df080fb18b70c2910cf by Steve Dower in branch 'master':
bpo-38355: Fix ntpath.realpath failing on sys.executable (GH-16551)
https://github.com/python/cpython/commit/a0e3d27e4e3cb5b67e325df080fb18b70c2910cf
msg353861 - (view) Author: miss-islington (miss-islington) Date: 2019-10-03 15:49
New changeset 6067e1d2bebccc2e73dd729d25c98df7bc9e2d59 by Miss Islington (bot) in branch '3.8':
bpo-38355: Fix ntpath.realpath failing on sys.executable (GH-16551)
https://github.com/python/cpython/commit/6067e1d2bebccc2e73dd729d25c98df7bc9e2d59
msg353863 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-10-03 16:11
This is resolved as far as I'm concerned - leaving open for Łukasz to cherrypick and close.
msg354667 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2019-10-14 21:45
(3.8.0 is released with this fix)
History
Date User Action Args
2019-10-14 21:45:49lukasz.langasetstatus: open -> closed
resolution: fixed
messages: + msg354667

stage: commit review -> resolved
2019-10-10 23:47:03aerossetstage: backport needed -> commit review
2019-10-03 16:11:43steve.dowersetmessages: + msg353863
stage: patch review -> backport needed
2019-10-03 15:49:59miss-islingtonsetnosy: + miss-islington
messages: + msg353861
2019-10-03 15:31:23miss-islingtonsetpull_requests: + pull_request16154
2019-10-03 15:31:09steve.dowersetmessages: + msg353855
2019-10-02 22:41:37steve.dowersetkeywords: + patch
stage: patch review
pull_requests: + pull_request16139
2019-10-02 22:37:37steve.dowercreate